<app-header></app-header>
<main>
  <ng-container *ngIf="property; else propertyLoading">
    <app-breadcrumb [property]="property"></app-breadcrumb>
    <app-gallery [media]="property.propertyMultimedias"></app-gallery>
    <section
      class="grid grid-cols-4 w-full lg:max-w-screen-xl 2xl:max-w-screen-2xl mx-auto pb-8 border-b-2 border-gray-200 mb-8"
    >
      <div class="col-span-4 lg:col-span-3 lg:pr-6">
        <app-price
          [price]="property.price"
          [oldPrice]="property.price2"
        ></app-price>
        <span
          [ngClass]="{
            'block ml-4 pl-2 border-l-4 font-medium uppercase': true,
            'border-green-600 text-green-600': !property.description
              .toLowerCase()
              .includes('proindiviso'),
            'border-orange-400 text-orange-400': property.description
              .toLowerCase()
              .includes('proindiviso')
          }"
        >
          {{
            !property.description.toLowerCase().includes('proindiviso')
              ? 'Disponible'
              : 'Proindiviso'
          }}
        </span>
        <app-icons [mainFeatures]="property.mainFeatures"></app-icons>
        <app-title
          [title]="{
            address: property.address,
            zipCode: property.zipCode,
            municipality: property.municipality.name,
            subType: property.propertySubtype.name,
            province: property.municipality.province.name
          }"
        ></app-title>
        <app-description [description]="property.description"></app-description>
        <app-features
          [property]="property"
          [mainFeatures]="property.mainFeatures"
        ></app-features>
        <app-tags [tags]="property.tags"></app-tags>
        <app-map
          [coordinates]="[property.latitude, property.longitude]"
          [street]="[property.address, property.municipality.name]"
        ></app-map>
        <app-mortgage></app-mortgage>
      </div>
      <aside class="h-full relative col-span-4 lg:col-span-1">
        <app-contact-form [property]="property"></app-contact-form>
      </aside>
    </section>
    <div class="w-full px-8 pb-8 lg:px-4">
      <h2
        class="font-bold text-2xl text-gray-800 block mb-4 w-full lg:max-w-screen-xl 2xl:max-w-screen-2xl mx-auto"
      >
        Inspirado por tus búsquedas
      </h2>
      <app-slider
        [search]="property.municipality.province.id.toString()"
      ></app-slider>
    </div>
  </ng-container>
</main>

<ng-template #propertyLoading>
  <div
    class="w-full lg:max-w-screen-xl 2xl:max-w-screen-2xl mx-auto h-8 my-4 loading-gray col-span-3"
  ></div>
  <div
    class="w-full h-gallery 2xl:h-2gallery mb-8 loading-gray col-span-3"
  ></div>
  <div class="w-full lg:max-w-screen-xl 2xl:max-w-screen-2xl mx-auto">
    <div class="w-full h-24 my-4 loading-gray"></div>
    <div class="w-full h-96 my-4 loading-gray"></div>
    <div class="w-full h-96 my-4 loading-gray"></div>
  </div>
</ng-template>

<div class="hidden">
  <svg xmlns="http://www.w3.org/2000/svg" style="display: none">
    <symbol id="double-bed" viewBox="0 0 512 512">
      <title>double-bed</title>
      <path
        id="XMLID_874_"
        d="m487.005 256.669v-9.751c0-17.963-9.3-33.786-23.33-42.936v-106.368c0-27.986-22.768-50.754-50.754-50.754h-313.842c-27.986 0-50.755 22.768-50.755 50.754v106.367c-14.03 9.15-23.33 24.973-23.33 42.936v9.751c-14.366 3.783-24.994 16.883-24.994 32.421v114.096c0 17.95 14.182 32.647 31.929 33.482v13.503c0 8.268 6.703 14.971 14.971 14.971s14.971-6.703 14.971-14.971v-13.463h388.257v13.463c0 8.268 6.703 14.971 14.971 14.971s14.971-6.703 14.971-14.971v-13.503c17.748-.836 31.93-15.533 31.93-33.483v-114.095c0-15.539-10.628-28.638-24.995-32.42zm-408.738-159.055c0-11.476 9.336-20.812 20.812-20.812h313.842c11.476 0 20.812 9.336 20.812 20.812v98.067h-19.962v-26.388c0-18.47-15.026-33.497-33.497-33.497h-80.558c-18.47 0-33.497 15.027-33.497 33.497v26.388h-20.438v-26.388c0-18.47-15.027-33.497-33.497-33.497h-80.558c-18.471 0-33.497 15.027-33.497 33.497v26.388h-19.962zm305.561 71.678v22.834c0 1.96-1.595 3.554-3.554 3.554h-80.558c-1.96 0-3.554-1.595-3.554-3.554v-22.834c0-1.96 1.595-3.554 3.554-3.554h80.558c1.96 0 3.554 1.594 3.554 3.554zm-167.99 0v22.834c0 1.96-1.595 3.554-3.554 3.554h-80.558c-1.96 0-3.554-1.595-3.554-3.554v-22.834c0-1.96 1.595-3.554 3.554-3.554h80.558c1.959 0 3.554 1.594 3.554 3.554zm-160.901 77.625c0-11.742 9.553-21.294 21.295-21.294h359.536c11.742 0 21.295 9.553 21.295 21.294v8.648h-402.126zm427.12 156.267c0 1.974-1.606 3.58-3.581 3.58h-444.953c-1.974 0-3.581-1.606-3.581-3.58v-114.095c0-1.974 1.606-3.58 3.581-3.58h444.954c1.974 0 3.581 1.606 3.581 3.58v114.095z"
      />
    </symbol>
    <symbol id="armchair" viewBox="0 0 512 512">
      <title>armchair</title>
      <path
        id="XMLID_243_"
        d="m428.285 172.081v-76.685c0-51.736-42.098-93.827-93.843-93.827h-156.884c-51.745 0-93.842 42.09-93.842 93.827v76.686c-46.46 1.757-83.716 40.087-83.716 86.962 0 27.636 12.75 52.997 34.501 69.4v117.275c0 8.284 6.716 15 15 15h12.271v34.712c0 8.284 6.716 15 15 15h50.737c8.284 0 15-6.716 15-15v-34.712h230.407v34.712c0 8.284 6.716 15 15 15h50.737c8.284 0 15-6.716 15-15v-34.712h8.846c8.285 0 15-6.716 15-15v-117.275c21.751-16.404 34.501-41.764 34.501-69.4 0-46.875-37.256-85.205-83.715-86.963zm-315.776 308.35h-20.737v-19.712h20.737zm31.584-49.712h-79.592v-110.191c0-5.223-2.717-10.07-7.173-12.796-17.112-10.468-27.328-28.669-27.328-48.688 0-31.448 25.591-57.032 57.046-57.032s57.046 25.584 57.046 57.032v171.675zm193.815 0h-163.815v-62.323h163.815zm0-92.324h-163.815v-49.134h163.815zm0-79.351v.218h-163.815v-.218c0-38.692-25.386-71.562-60.377-82.848v-80.8c0-35.194 28.64-63.827 63.842-63.827h156.884c35.203 0 63.843 28.632 63.843 63.827v80.8c-34.992 11.286-60.377 44.156-60.377 82.848zm85.745 221.387h-20.737v-19.712h20.737zm31.018-172.699c-4.455 2.726-7.172 7.573-7.172 12.796v110.191h-79.591v-171.675c0-31.448 25.591-57.032 57.046-57.032 31.456 0 57.046 25.584 57.046 57.032 0 20.019-10.216 38.22-27.329 48.688z"
      />
      <path
        id="XMLID_242_"
        d="m317.296 76.392c-8.406 0-15.221 6.813-15.221 15.218s6.814 15.218 15.221 15.218 15.221-6.813 15.221-15.218c.001-8.404-6.814-15.218-15.221-15.218z"
      />
      <ellipse
        id="XMLID_241_"
        cx="195.068"
        cy="91.61"
        rx="15.221"
        ry="15.218"
      />
      <path
        id="XMLID_239_"
        d="m317.296 166.995c-8.406 0-15.221 6.813-15.221 15.218s6.814 15.218 15.221 15.218 15.221-6.813 15.221-15.218-6.814-15.218-15.221-15.218z"
      />
      <ellipse
        id="XMLID_238_"
        cx="428.505"
        cy="259.043"
        rx="15.221"
        ry="15.218"
      />
      <ellipse
        id="XMLID_237_"
        cx="87.046"
        cy="259.043"
        rx="15.221"
        ry="15.218"
      />
      <ellipse
        id="XMLID_236_"
        cx="195.068"
        cy="182.213"
        rx="15.221"
        ry="15.218"
      />
    </symbol>
    <symbol id="toilet" viewBox="0 0 512 512">
      <title>toilet</title>
      <path
        d="M466.962,0h-150c-24.813,0-45,20.187-45,45c0,19.555,12.541,36.228,30,42.42v126.16c-4.695-1.665-9.741-2.58-15-2.58h-242 c-24.881,0-44.923,20.187-44.923,45c0,19.752,12.633,36.561,30.417,42.601c5.382,69.94,53.974,127.585,119.506,146.179V497 c0,8.284,6.716,15,15,15h182c8.284,0,15-6.716,15-15v-43.566c0-21.905,13.962-41.276,34.743-48.204 c33.051-11.017,55.257-41.826,55.257-76.665V298.42c17.459-6.192,30-22.865,30-42.42V87.42c17.458-6.192,30-22.865,30-42.42 C511.962,20.187,491.775,0,466.962,0z M29.838,256c0-8.271,6.784-15,15.123-15h242c8.271,0,15,6.729,15,15s-6.729,15-15,15h-242 C36.622,271,29.838,264.271,29.838,256z M387.218,376.77c-33.051,11.017-55.257,41.826-55.257,76.664V482h-152v-49 c0-7.134-5.024-13.281-12.016-14.7c-57.621-11.697-100.693-60.012-107.147-117.5H421.96v27.766h0.001 C421.962,350.471,407.999,369.843,387.218,376.77z M451.962,256c0,8.271-6.729,15-15,15h-90c-8.271,0-15-6.729-15-15V90h120V256z M466.962,60h-150c-8.271,0-15-6.729-15-15s6.729-15,15-15h150c8.271,0,15,6.729,15,15S475.233,60,466.962,60z"
      />
    </symbol>
    <symbol id="blueprint" viewBox="0 0 512 512">
      <title>blueprint</title>
      <path
        d="m511.996094 15c0-8.285156-6.71875-15-15-15h-481.996094c-8.285156 0-15 6.714844-15 15v481.972656c0 8.285156 6.714844 15 15 15h407c8.28125 0 15-6.714844 15-15v-43.976562c0-8.285156-6.71875-15-15-15-8.285156 0-15 6.714844-15 15v28.976562h-377v-90.8125h151.003906c8.285156 0 15-6.714844 15-15s-6.714844-15-15-15h-151.003906v-331.160156h237.949219v147.992188c0 8.285156 6.71875 15 15 15 8.285156 0 15-6.714844 15-15v-147.992188h184.046875l.003906 273.988281h-181.996094v-35.992187c0-8.285156-6.71875-15-15-15-8.285156 0-15 6.714844-15 15v50.992187c0 8.285157 6.714844 15 15 15h123.988282v28.988281c0 8.28125 6.71875 15 15 15 8.285156 0 15-6.71875 15-15v-28.988281h58.007812c3.976562 0 7.792969-1.582031 10.605469-4.394531s4.394531-6.628906 4.394531-10.605469zm0 0"
      />
    </symbol>
    <symbol id="calendar" viewBox="0 0 512.001 512.001">
      <title>calendar</title>
      <path
        d="m15.001 421h75v45c0 8.284 6.716 15 15 15h392c8.284 0 15-6.716 15-15v-390c0-8.284-6.716-15-15-15h-75v-15c0-8.284-6.716-15-15-15s-15 6.716-15 15v15h-76v-15c0-8.284-6.716-15-15-15s-15 6.716-15 15v15h-75v-15c0-8.284-6.716-15-15-15s-15 6.716-15 15v15h-76c-8.284 0-15 6.716-15 15v90c0 110.55-45.945 195.596-84.603 228.477-4.852 4.043-6.651 10.691-4.502 16.63 2.151 5.938 7.789 9.893 14.105 9.893zm467 30h-362v-30h287c3.509 0 6.907-1.23 9.603-3.477 18.032-15.019 45.963-50.777 65.397-96.575zm-362-360h61v15c0 8.284 6.716 15 15 15s15-6.716 15-15v-15h75v15c0 8.284 6.716 15 15 15s15-6.716 15-15v-15h76v15c0 8.284 6.716 15 15 15s15-6.716 15-15v-15h60v60h-362zm-.257 89.99h361.991c-3.38 95.155-39.901 170.023-80.616 210.01h-351.999c46.133-58.781 68.149-135.318 70.624-210.01z"
      />
    </symbol>
    <symbol id="wait" viewBox="0 0 297 297">
      <title>wait</title>
      <path
        d="M250.929,276.619h-17.463v-31.301c0-31.668-17.379-60.777-48.936-81.967c-3.924-2.635-6.363-8.324-6.363-14.852 s2.439-12.215,6.365-14.852c31.555-21.188,48.934-50.297,48.936-81.965V20.381h17.461c5.627,0,10.189-4.562,10.189-10.191 C261.118,4.561,256.556,0,250.929,0H46.071c-5.627,0-10.19,4.561-10.19,10.189c0,5.629,4.563,10.191,10.19,10.191h17.463v31.303 c0,31.668,17.377,60.777,48.936,81.965c3.924,2.637,6.363,8.324,6.363,14.852c0,6.529-2.439,12.217-6.365,14.854 c-31.557,21.188-48.934,50.297-48.934,81.965v31.301H46.071c-5.627,0-10.19,4.563-10.19,10.191c0,5.629,4.563,10.19,10.19,10.19 h204.857c5.627,0,10.189-4.56,10.189-10.19C261.118,281.182,256.556,276.619,250.929,276.619z M83.915,245.318 c0-33.275,25.006-55.035,39.914-65.043c9.633-6.467,15.385-18.346,15.385-31.775c0-13.428-5.752-25.307-15.385-31.773 c-14.908-10.008-39.914-31.768-39.914-65.043V20.381h129.17l-0.002,31.303c0,33.275-25.006,55.035-39.912,65.041 c-9.635,6.469-15.387,18.348-15.387,31.775c0,13.43,5.752,25.307,15.385,31.775c14.908,10.008,39.914,31.768,39.916,65.043v31.301 H83.915V245.318z"
      />
    </symbol>
    <symbol id="remove" viewBox="0 0 64 64">
      <title>remove</title>
      <g>
        <path
          d="m40.095 49.997c-.021 0-.042 0-.063-.001-1.104-.034-1.971-.957-1.938-2.061l.736-24c.034-1.104.931-1.981 2.061-1.938 1.104.034 1.971.957 1.938 2.061l-.736 24c-.033 1.084-.922 1.939-1.998 1.939z"
        />
      </g>
      <g>
        <path
          d="m24.907 49.997c-1.076 0-1.965-.855-1.998-1.938l-.736-24c-.034-1.104.833-2.027 1.938-2.061 1.108-.043 2.027.833 2.061 1.938l.736 24c.034 1.104-.833 2.027-1.938 2.061-.021 0-.042 0-.063 0z"
        />
      </g>
      <g>
        <path
          d="m33.001 49.997c-1.104 0-2-.896-2-2v-24c0-1.104.896-2 2-2s2 .896 2 2v24c0 1.105-.895 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m45.002 57.997h-26.002c-1.104 0-2-.896-2-2s.896-2 2-2h26.002c1.104 0 2 .896 2 2s-.895 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m47.001 56.097c-.034 0-.067-.001-.102-.002-1.103-.055-1.953-.994-1.897-2.098l1.905-38.1c.056-1.103.992-1.938 2.098-1.897 1.103.055 1.953.994 1.897 2.098l-1.905 38.1c-.053 1.068-.936 1.899-1.996 1.899z"
        />
      </g>
      <g>
        <path
          d="m45.002 57.997c-1.104 0-2-.896-2-2s.896-2 2-2h.002c.056-1.104.989-1.967 2.097-1.897 1.103.055 1.952.994 1.896 2.098-.106 2.13-1.861 3.799-3.995 3.799z"
        />
      </g>
      <g>
        <path
          d="m17.001 56.097c-1.059 0-1.942-.831-1.996-1.9l-1.905-38.1c-.055-1.104.794-2.042 1.897-2.098 1.113-.051 2.042.795 2.098 1.897l1.905 38.101c.055 1.104-.794 2.042-1.897 2.098-.035.001-.069.002-.102.002z"
        />
      </g>
      <g>
        <path
          d="m19 57.997c-2.134 0-3.889-1.669-3.995-3.8-.055-1.104.794-2.042 1.897-2.098 1.112-.052 2.042.794 2.098 1.897v.002c1.104 0 2 .895 2 1.999s-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m40 17.997c-1.104 0-2-.896-2-2v-6c0-1.104.896-2 2-2s2 .896 2 2v6c0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m24 17.997c-1.104 0-2-.896-2-2v-6c0-1.104.896-2 2-2s2 .896 2 2v6c0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m52.002 17.997h-40.004c-1.104 0-2-.896-2-2s.896-2 2-2h40.005c1.104 0 2 .896 2 2s-.896 2-2.001 2z"
        />
      </g>
      <g>
        <path
          d="m23.999 11.997c-1.104 0-1.999-.896-1.999-2 0-2.206 1.794-4 4-4 1.104 0 2 .896 2 2s-.896 2-2 2h-.002c0 1.105-.894 2-1.999 2z"
        />
      </g>
      <g>
        <path
          d="m38 9.997h-12c-1.104 0-2-.896-2-2s.896-2 2-2h12c1.104 0 2 .896 2 2s-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m40 11.997c-1.104 0-2-.896-2-2v-.002c-1.104 0-2-.894-2-1.999 0-1.104.896-1.999 2-1.999 2.206 0 4 1.794 4 4 0 1.105-.896 2-2 2z"
        />
      </g>
    </symbol>
    <symbol id="home-page" viewBox="0 0 64 64">
      <title>home-page</title>
      <g>
        <path
          d="m8.002 29.4c-.619 0-1.229-.286-1.621-.826-.648-.895-.449-2.145.445-2.793l24-17.403c.895-.65 2.145-.449 2.793.445.648.895.449 2.145-.445 2.793l-24 17.403c-.355.258-.766.381-1.172.381z"
        />
      </g>
      <g>
        <path
          d="m55.998 29.4c-.406 0-.817-.124-1.172-.381l-24-17.403c-.895-.648-1.094-1.899-.445-2.793.648-.893 1.898-1.095 2.793-.445l24 17.403c.895.648 1.094 1.899.445 2.793-.391.54-1.002.826-1.621.826z"
        />
      </g>
      <g>
        <path
          d="m40 37.997c-1.104 0-2-.896-2-2v-.002c-1.104 0-2-.894-2-1.999 0-1.104.896-1.999 2-1.999 2.206 0 4 1.794 4 4 0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m40 55.997c-1.104 0-2-.896-2-2v-18c0-1.104.896-2 2-2s2 .896 2 2v18c0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m38 35.997h-12c-1.104 0-2-.896-2-2s.896-2 2-2h12c1.104 0 2 .896 2 2s-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m23.999 37.997c-1.104 0-1.999-.896-1.999-2 0-2.206 1.794-4 4-4 1.104 0 2 .896 2 2s-.896 2-2 2h-.003c0 1.105-.893 2-1.998 2z"
        />
      </g>
      <g>
        <path
          d="m24 55.997c-1.104 0-2-.896-2-2v-18c0-1.104.896-2 2-2s2 .896 2 2v18c0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m54 55.997h-44c-1.104 0-2-.896-2-2s.896-2 2-2h44c1.104 0 2 .896 2 2s-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m14 55.997c-1.104 0-2-.896-2-2v-26.597c0-1.104.896-2 2-2s2 .896 2 2v26.597c0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m50 55.997c-1.104 0-2-.896-2-2v-26.597c0-1.104.896-2 2-2s2 .896 2 2v26.597c0 1.105-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m56 29.4h-6c-1.104 0-2-.896-2-2s.896-2 2-2h6c1.104 0 2 .896 2 2s-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m14 29.4h-6c-1.104 0-2-.896-2-2s.896-2 2-2h6c1.104 0 2 .896 2 2s-.896 2-2 2z"
        />
      </g>
    </symbol>
    <symbol id="filter" viewBox="0 0 64 64">
      <title>filter</title>
      <g>
        <path
          d="m27.002 38c-.641 0-1.271-.307-1.657-.877l-19-28c-.62-.914-.382-2.158.532-2.778.913-.62 2.158-.382 2.778.532l19 28c.62.914.382 2.158-.532 2.778-.344.234-.734.345-1.121.345z"
        />
      </g>
      <g>
        <path
          d="m36.998 38c-.387 0-.777-.111-1.121-.345-.914-.62-1.152-1.864-.532-2.778l19-28c.62-.914 1.865-1.152 2.778-.532.914.62 1.152 1.864.532 2.778l-19 28c-.386.57-1.016.877-1.657.877z"
        />
      </g>
      <g>
        <path
          d="m27 58c-1.104 0-2-.896-2-2v-20c0-1.104.896-2 2-2s2 .896 2 2v20c0 1.104-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m37 49.667c-1.104 0-2-.896-2-2v-11.667c0-1.104.896-2 2-2s2 .896 2 2v11.667c0 1.104-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m56 10h-48c-1.104 0-2-.896-2-2s.896-2 2-2h48c1.104 0 2 .896 2 2s-.896 2-2 2z"
        />
      </g>
      <g>
        <path
          d="m27.001 58c-.573 0-1.142-.245-1.537-.72-.707-.849-.593-2.109.256-2.816l10-8.333c.849-.708 2.109-.592 2.816.256.707.849.593 2.109-.256 2.816l-10 8.333c-.374.312-.828.464-1.279.464z"
        />
      </g>
    </symbol>
    <symbol id="info" viewBox="0 0 64 64">
      <title>info</title>
      <g id="LINE_57_">
        <g>
          <path
            d="m31.99 44.904c-1.104 0-2-.896-2-2v-15.795c0-1.104.896-2 2-2s2 .896 2 2v15.795c0 1.105-.895 2-2 2z"
          />
        </g>
      </g>
      <g id="POINT_1_">
        <g>
          <path
            d="m31.99 23.11c-.53 0-1.04-.21-1.41-.59-.38-.37-.59-.88-.59-1.41s.21-1.04.59-1.41c.74-.75 2.08-.75 2.82-.01.38.38.59.89.59 1.42 0 .52-.21 1.04-.59 1.41-.37.38-.88.59-1.41.59z"
          />
        </g>
      </g>
      <g id="CIRCLE_3_">
        <g>
          <path
            d="m31.923 57.997c-2.275 0-4.53-.296-6.703-.881-9.364-2.519-16.696-10.276-18.679-19.763-2.021-9.665 1.709-19.825 9.504-25.884 4.506-3.503 10.189-5.433 16.003-5.433 4.025 0 8.022.936 11.56 2.705 8.737 4.371 14.382 13.503 14.382 23.266 0 7.966-3.759 15.644-10.055 20.538-4.522 3.516-10.209 5.452-16.012 5.452zm.126-47.961c-4.929 0-9.741 1.63-13.548 4.591-6.597 5.128-9.755 13.727-8.044 21.907 1.678 8.025 7.881 14.588 15.803 16.719 1.834.493 3.74.744 5.663.744h.001c4.918 0 9.732-1.637 13.557-4.61 5.329-4.142 8.51-10.639 8.51-17.38 0-8.261-4.777-15.989-12.171-19.688-2.986-1.493-6.364-2.283-9.771-2.283z"
          />
        </g>
      </g>
    </symbol>
    <symbol id="lighting" viewBox="0 0 512.002 512.002">
      <title>lighting</title>
      <path
        d="m128.911 510.218c6.625 3.555 14.839 1.649 19.234-4.413l240-331c3.31-4.564 3.78-10.599 1.218-15.622-2.562-5.022-7.724-8.184-13.361-8.184h-63.598l76.482-128.32c2.763-4.635 2.823-10.397.157-15.089-2.664-4.692-7.645-7.59-13.041-7.59h-180c-6.889 0-12.892 4.692-14.556 11.376l-60 241c-1.115 4.48-.105 9.224 2.737 12.861 2.843 3.638 7.202 5.763 11.818 5.763h68.387l-82.438 220.752c-2.626 7.03.348 14.919 6.961 18.466zm111.143-248.97c1.721-4.605 1.074-9.761-1.729-13.8s-7.407-6.448-12.323-6.448h-70.808l52.531-211h141.875l-76.482 128.32c-2.763 4.635-2.823 10.397-.157 15.089 2.665 4.692 7.646 7.59 13.042 7.59h60.596l-157.903 217.773z"
      />
    </symbol>
    <symbol id="light-bulb" viewBox="0 0 510.002 510.002">
      <title>light-bulb</title>
      <path
        d="m382.982 53.434c-68.419-69.183-181.685-72.669-253.941-1.773-70.796 69.462-70.487 178.8-8.167 248.379 18.779 20.966 29.121 47.588 29.121 74.962v32.5c0 19.086 12.647 35.271 30 40.621v17.379c0 24.537 17.315 44.5 38.6 44.5h72.801c21.284 0 38.6-19.963 38.6-44.5v-17.379c17.352-5.351 30-21.535 30-40.621v-32.5c0-27.374 10.343-53.996 29.123-74.964 62.612-69.909 61.706-178.004-6.137-246.604zm-91.587 426.568h-72.801c-3.977 0-8.6-6.334-8.6-14.5v-15.5h90v15.5c.001 8.166-4.622 14.5-8.599 14.5zm38.6-72.5c0 6.893-5.607 12.5-12.5 12.5h-125c-6.893 0-12.5-5.607-12.5-12.5v-17.5h150zm36.775-127.48c-20.285 22.648-32.767 50.605-35.954 79.979h-151.642c-3.188-29.373-15.668-57.33-35.953-79.978-24.918-27.819-38.492-63.736-38.222-101.135.596-82.223 68.352-149.824 151.804-148.877 81.714.962 148.192 68.247 148.192 149.989 0 36.98-13.575 72.502-38.225 100.022z"
      />
      <path
        d="m282.857 142.72-25.724-15.436-58.631 97.718h60l-31.369 52.282 25.724 15.436 58.631-97.718h-60z"
      />
    </symbol>
  </svg>
</div>
<app-footer></app-footer>
